
def exact_floor_sqrt(x):
    lo, hi = 0, x+1
    while hi - lo > 1:
        med = (lo+hi) // 2
        if med**2 > x: hi = med
        else: lo = med
    return lo

def do_cake_fast(C,S2):
    S = exact_floor_sqrt(S2)

    # if all points have the same period, return it
    if S**2 == S2 and C % S == 0: return 2 * (C // S)

    # otherwise, there are two distinct periods
    lo, hi = 0, C+47
    while hi - lo > 1:
        med = (lo+hi) // 2
        # check whether med < C / sqrt(S2)
        if med**2 * S2 < C**2:
            lo = med
        else:
            hi = med

    return 2 * lo * hi

T = int( input() )
for testcase in range(T):
    input()
    C, S2 = [ int(_) for _ in input().split() ]
    print( do_cake_fast(C,S2) )

